    Return the PSF model defined for a data set.

get_psf(id=None)
id - int or str, optional

Return the parameter settings for the PSF model assigned to the data set.

Change the size and center of the PSF for the default data set:

>>> psf = get_psf() >>> psf.size = (21, 21) >>> psf.center = (10, 10)

PARAMETERS

The parameter for this function is:

Parameter
Definition
id
The data set. If not given then the default identifier is used, as returned by `get_default_id` .

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023